For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI Reference
HomeAPI Reference
    • Authentication
  • API Reference
      • POSTCreate User
      • POSTCreate User Card
      • PUTUpdate User
      • DELDelete User
Get supportSee a Demo
API ReferenceUsers

Create User

POST
/users/users
POST
/users/users
$curl -X POST https://rewards-api.getkard.com/users/users \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "referringPartnerUserId": "1234567890",
> "email": "someone@email.com",
> "hashedEmail": "a1b2c3d4e5f6789012345678901234567890abcdef1234567890abcdef123456",
> "phoneNumber": "+12345678901",
> "birthYear": "1990",
> "userName": "some_user_name",
> "firstName": "John",
> "lastName": "Doe",
> "zipCode": "10028",
> "externalPartnerUserId": "1234567890",
> "enrolledRewards": [
> "CARDLINKED"
> ],
> "cards": [
> {
> "last4": "1234",
> "bin": "123456",
> "issuer": "Name_Of_Issuer",
> "network": "VISA"
> }
> ]
>}'
1"New user event sent for processing"
Call this endpoint to enroll a specified user into your rewards program. Learn more about the [Enrolling Users](https://github.com/kard-financial/kard-postman#a-cardholders) flow based on your use case here.<br/> <b>Required scopes:</b> `user:write`
Was this page helpful?
Previous

Create User Card

Next
Built with

Call this endpoint to enroll a specified user into your rewards program. Learn more about the Enrolling Users flow based on your use case here.
Required scopes: user:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
referringPartnerUserIdstringRequired
Referring partner user ID of user from issuer. Must be a unique identifier across users
emailstringOptional

Email of user; AT LEAST one of email or userName is REQUIRED. We HIGHLY RECOMMEND sending both.

hashedEmailstringOptional

Hashed email address of user (using SHA-256)

phoneNumberstringOptional
Phone number of user in E.164 format
birthYearstringOptional
Birth year of user
userNamestringOptional

Username of user from issuer; AT LEAST one of email or userName is REQUIRED. We HIGHLY RECOMMEND sending both.

firstNamestringOptional

First name of user. We HIGHLY RECOMMEND sending this field.

lastNamestringOptional

Last name of user. We HIGHLY RECOMMEND sending this field.

zipCodestringOptional

Zipcode of user. We HIGHLY RECOMMEND sending this field as it may be required in the near future.

externalPartnerUserIdstringOptional
Partner unique user id, might be equal to referringPartnerUserId
enrolledRewardslist of enumsOptional

If field is not supplied, user will be automatically enrolled in all programs. Note, please do not send AFFILIATE as this field has been deprecated.

Allowed values:
cardslist of objectsOptional

List of User Cards Information. This is REQUIRED for matching purposes.

cardInfoobjectOptionalDeprecated

[Deprecated — please use ‘cards’ field] User Card Information

referringPartnerstringOptionalDeprecated
Issuer name

Response

This endpoint returns a string.

Errors

400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
409
Conflict Error
500
Internal Server Error